#   ---------------------------------------------------------------------- copyright and license ---
#
#   file: tapper.spec.in
#
#   Copyright © 2014, 2016—2018 Van de Bugger.
#
#   This file is a part of Tapper.
#
#   Tapper is free software: you can redistribute it and/or modify it under the terms of the GNU
#   General Public License as published by the Free Software Foundation, either version 3 of the
#   License, or (at your option) any later version.
#
#   Tapper is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
#   even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License along with Tapper.  If not,
#   see <http://www.gnu.org/licenses/>.
#
#   SPDX-License-Identifier: GPL-3.0-or-later
#
#   ---------------------------------------------------------------------- copyright and license ---

Name:               tapper
Version:            0.3.1
Release:            2.vdb%{?dist}
Summary:            Keyboard layout selector
Group:              System Environment/Daemons
License:            GPLv3+
URL:                http://kbd-tapper.sourceforge.net/
Source0:            %{name}-%{version}.tar.gz
# Fedora packaging guidelines say dependency on coreutils, gzip, shadow-utils should not be
# declared.
BuildRequires:      make
BuildRequires:      pandoc
BuildRequires:      pkgconfig
BuildRequires:      gcc-c++ >= 4.8
    # Need -std=c++11
BuildRequires:      glib2-devel
    # gio is a part of glib
BuildRequires:      json-glib-devel
BuildRequires:      libX11-devel
BuildRequires:      libXtst-devel
# Packager tag is not used intentionally, accordingly Fedora packaging guidelines.
# Packager should be specified in `.rpmmacros'.

%description
Tapper is a keyboard layout selector for X Window System: it selects specified
keyboard layout corresponding key is tapped. Tapper always selects layouts and
never toggles them.

Tapper unique feature is using modifier keys (e. g. Shift or Ctrl) for selecting
keyboard layout without losing their primary functionality. By default tapping
Left Shift selects the first keyboard layout, tapping Right Shift selects the
second layout, while all the key combinations like Shift+z or Ctrl+Shift+t are
not affected.

%prep
%setup -q

%build
mkdir _build
cd _build
../configure                                    \
    --enable-man --disable-rpm --disable-html   \
    --disable-dependency-tracking               \
    --prefix=%{_prefix}                         \
    --libdir=%{_libdir}                         \
    --srcdir=..
make

%install
cd _build
make DESTDIR=%{buildroot} install

%files
%defattr( -, root, root, - )
     %{_bindir}/%{name}
     %{_mandir}/man1/%{name}.1.gz
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*

%changelog

* Fri Mar 10 2017 Van de Bugger 0.3.1-1.vdb
- Updated to 0.3.1.

* Thu Jan 19 2017 Van de Bugger 0.3.0-1.vdb
- Updated to 0.3.0.
- New dependencies added: gcc-c++ 4.8, glib2-devel, json-glib-devel.

* Fri Dec 02 2016 Van de Bugger 0.2.2-1.vdb
- Updated to 0.2.2.

* Sun Jan 31 2016 Van de Bugger 0.2.1-1.vdb
- Updated to 0.2.1.
- Pandoc added to build requirements (its required to build man page).
- configure run with --enable-man option.
- CPPFLAGS dropped — it is not required any more because debug log is not enabled by default.
- Man page added to the package.

* Sat Jan 16 2016 Van de Bugger 0.2-1.vdb
- Updated to 0.2.
- Dropped dependency on glib2 (because of dropped Gnome support).
- Updated description.
- configure run with --disable-rpm --disable-html options.
- configure run with --libdir option to make rpmlint happy.
- clean action dropped accordingly to Fedora guidelines.

* Wed Jul 23 2014 Van de Bugger 0.1-1.vdb
- Initial revision.

# end of file #
